curl --request GET \
--url https://api.x.com/2/communities/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/communities/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/communities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1146654567674912769",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>"
}
}{
"code": 123,
"message": "<string>"
}Rechercher des communautés
Récupère une liste de Communautés correspondant à la requête de recherche spécifiée.
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de requête
Requête de recherche de communautés.
1 - 4096"Love"
Nombre maximal de résultats qu’une requête de recherche peut renvoyer.
10 <= x <= 100Ce paramètre permet d’obtenir la « page » de résultats suivante. La valeur utilisée avec ce paramètre est extraite directement de la réponse fournie par l’API et ne doit pas être modifiée. Jeton suivant.
1Ce paramètre est utilisé pour obtenir la page suivante de résultats. La valeur utilisée avec ce paramètre est extraite directement de la réponse fournie par l’API et ne doit pas être modifiée. Jeton suivant.
1Une liste de champs de Communauté à afficher, séparés par des virgules. Les champs disponibles pour l’objet Community.
1access, created_at, description, id, join_policy, member_count, name [
"access",
"created_at",
"description",
"id",
"join_policy",
"member_count",
"name"
]
Réponse
La requête a réussi.
1Show child attributes
Show child attributes
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes